Reactor to rotate attributes

Discussion in 'AutoCAD' started by adiaz, Dec 8, 2004.

  1. adiaz

    adiaz Guest

    Hello everyone. I would like to setup a reactor that every time I insert a block with attributes (from a library, design center, tool palettes, etc) to rotate the attribute(s) to the block rotation angle. Any help would be greatly appreciated.

    AD
     
    adiaz, Dec 8, 2004
    #1
  2. adiaz

    Jürg Menzi Guest

    The attributes are within block rotation angle... did I miss something?

    Cheers
     
    Jürg Menzi, Dec 8, 2004
    #2
  3. adiaz

    adiaz Guest

    hehehe I am missing my head. Sorry. I want to keep the attributes horizontal (0 degree) no matter what angle I inserted the block.
     
    adiaz, Dec 8, 2004
    #3
  4. adiaz

    Adiaz Guest

    (defun C:rotatts ()


     
    Adiaz, Dec 8, 2004
    #4
  5. adiaz

    Jürg Menzi Guest

    Hi adiaz
    human nature...<vbg>

    One more question: keep att's at zero deg's by inserting the block or also
    by rotate them later by rotate command?

    Cheers
     
    Jürg Menzi, Dec 8, 2004
    #5
  6. adiaz

    Doug Broad Guest

    You shouldn't need a reactor for the callouts in the tool palette and the
    design center. They are automatically set up to display attributes at
    0 rotation. Unless you are rotating the keys after the fact, they should
    be correct.


    attributes (from a library, design center, tool palettes, etc) to rotate the attribute(s)
    to the block rotation angle. Any help would be greatly appreciated.
     
    Doug Broad, Dec 8, 2004
    #6
  7. adiaz

    Matt W Guest

    hehehe :)

    Not a reactor, but I use this in a LSP to rotate all atts within the last
    block inserted to 0.

    (setq blk (entlast))
    (setq att blk)
    (if (assoc 66 (entget blk))
    (while (= (cdr (assoc 0 (entget (setq att (entnext att)))))
    "ATTRIB")
    (command "-attedit" "y" "" "" "" att "a" "0" "")
    )
    )
     
    Matt W, Dec 8, 2004
    #7
  8. adiaz

    Rudy Tovar Guest

    I believe I know what you're talking about...

    Simply watch that block for insertion...

    (vl-load-com)

    (vlr-editor-reactor nil '(:)vlr-commandended . editor-issue)))

    (defun editor-issue (f v / val)
    (setq val (strcase (car v)))

    (if (= val_list "INSERT")
    (progn
    ; if, last, insert, object, blockname, objectname, insertion, check
    rotation, return attributes, rotate attributes, etc.
    )
    )
    (princ)
    )
     
    Rudy Tovar, Dec 8, 2004
    #8
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.